package com.lightinit.hsdataplatformresdir.model.admin;

import com.lightinit.hsdataplatformresdir.entity.Admin;
import com.lightinit.hsdataplatformresdir.entity.Requirement;
import com.lightinit.hsdataplatformresdir.entity.RequirementApi;
import com.lightinit.hsdataplatformresdir.entity.ResourceCatelog;

public class DataSupplyApiInfoModel {

    private RequirementApi apiinfo;

    private Requirement rqm;

    private ResourceCatelog catelog;

    private Admin admin;
    private Long userId;
    private String showname;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getShowname() {
        return showname;
    }

    public void setShowname(String showname) {
        this.showname = showname;
    }

    public void setAdmin(Admin admin){
        this.admin=admin;
    }

    public Admin getAdmin(){
        return admin;
    }

    public void setCatelog(ResourceCatelog catelog){
        this.catelog=catelog;
    }

    public ResourceCatelog getCatelog(){
        return catelog;
    }

    public void setApiinfo(RequirementApi apiinfo){
        this.apiinfo=apiinfo;
    }

    public RequirementApi getApiinfo(){
        return apiinfo;
    }

    public void setRqm(Requirement rqm){
        this.rqm=rqm;
    }

    public Requirement getRqm(){
        return rqm;
    }
}
